const app = getApp()
import { examine_status } from '../../utils/dict';
import WxValidate from '../../utils/wxValidate';
Page({

   /**
    * 页面的初始数据
    */
   data: {
      frameStyle: { useTop: true, name: '话题', leftArrow: false, useBar: true },
      searchInfo: {},
      list: [],
   },
   // 跳转菜单
   tabPath(e) {
      let { route } = e.detail.detail;
      if (route) wx.redirectTo({ url: `/${route}` })
   },
   toJoin(e) {
      let { id } = e.currentTarget.dataset;
      wx.navigateTo({ url: `/pages/topic/info?id=${id}` })
   },
   // 跳转菜单
   back(e) {
      wx.navigateBack({ delta: 1 })
   },
   // 查询
   search: function (e) {
      const that = this;
      that.setData({ 'searchInfo.title': e.detail.value });
      that.watchLogin()
   },

   /**
    * 生命周期函数--监听页面加载
    */
   onLoad: function (options) {
      const that = this;
      that.watchLogin();
   },
   // 监听用户是否登录
   watchLogin: function () {
      const that = this;
      let searchInfo = that.data.searchInfo;
      wx.getStorage({
         key: 'user',
         success: async (res) => {
            let info = { skip: 0, limit: 1000 };
            if (searchInfo && searchInfo.title) info.title = searchInfo.title;
            const arr = await app.$get(`/newCourt/api/topic`, { ...info });
            if (arr.errcode == '0') {
               that.setData({ list: arr.data })
               console.log(arr.data);
            }
            else { wx.showToast({ title: `${res.errMsg}`, icon: 'fail', duration: 2000 }); }
         },
         fail: async (res) => {
            wx.redirectTo({ url: '/pages/index/index' });
         },
      });
   },
   /**
    * 生命周期函数--监听页面初次渲染完成
    */
   onReady: function () {

   },

   /**
    * 生命周期函数--监听页面显示
    */
   onShow: function () {

   },

   /**
    * 生命周期函数--监听页面隐藏
    */
   onHide: function () {

   },

   /**
    * 生命周期函数--监听页面卸载
    */
   onUnload: function () {

   },

   /**
    * 页面相关事件处理函数--监听用户下拉动作
    */
   onPullDownRefresh: function () {

   },

   /**
    * 页面上拉触底事件的处理函数
    */
   onReachBottom: function () {

   },

   /**
    * 用户点击右上角分享
    */
   onShareAppMessage: function () {

   }
})